<?
header("Cache-Control: no-cache, no-store, must-revalidate"); // HTTP 1.1
header("Pragma: no-cache"); // HTTP 1.0
header("Expires: 0"); // Proxies

@header('Content-Type: text/html; charset=utf-8');
date_default_timezone_set('America/Santiago');
//CONEXIÓN
$mysqli = new mysqli("localhost", "minicasas_root", "camp2024**", "minicasas_campers");

$mysqli->query("SET time_zone = '-3:00'"); //GTM-3 para America/Santiago --
$mysqli->set_charset("utf8");
if ($mysqli->connect_errno) {
    echo 'ERROR DE CONEXION - POR FAVOR REPORTAR AL ADMINISTRADOR.';
	exit();
}else{
	//echo "conexion exitosa";
}

class conectar{
	public function conexion(){
		$mysqli2 = new mysqli("localhost", "minicasas_root", "camp2024**", "minicasas_campers");
		return $mysqli2;
	}
}

class metodos extends conectar{
	public function mostrarAllDatos($tabla, $campos,  $condicion, $orden){
		$c = new conectar;
		$conexion = $c->conexion();
		$sql = "select $campos from $tabla where $condicion $orden ";
		$result = $conexion->query($sql);
		$filas= array();
        while ($fila = $result->fetch_assoc()) {
            $filas[] = $fila;
        }
        return $filas;
		//return mysqli_fetch_all($result, MYSQLI_ASSOC);
	}

	public function actualizarDatos($tabla, $campos,  $condicion){
		$c = new conectar;
		$conexion = $c->conexion();
		$sql = "update $tabla set $campos where $condicion  ";
		$result = mysqli_query($conexion, $sql);		
	}

	public function insertarDatos($tabla, $campos,  $variables){
		$c = new conectar;
		$conexion = $c->conexion();
		$sql = "insert into $tabla  ($campos) values ($variables)  ";
		$result = mysqli_query($conexion, $sql);
		if ($result){
			return mysqli_insert_id($conexion);
		}else{
			echo "Error al insertar";
		}		
	}
	public function eliminaDatos($tabla, $condicion){
		$c = new conectar;
		$conexion = $c->conexion();
		$sql = "delete from $tabla where $condicion  ";
		$result = mysqli_query($conexion, $sql);
		if ($result){
			return "ok";
		}		
	}
}

function formatear($valor1){
	$valor = $valor1;
	$largo = strlen($valor);
	$contador = 1; $cadena = "";
	while ($largo != 0){
		 $dig = substr($valor,$largo-1,1);
		 if ($contador > 3){
			 $cadena = "$dig.$cadena";
			 $contador = 1;
		 }else{   
			 $cadena = $dig.$cadena; 
		 }
		 $largo--;
		 $contador++;
	}	
	$valor1 = $cadena;
	return $valor1;
}

function formatear2($valor1){
	$valor = $valor1;
	$largo = strlen($valor);
	$contador = 1; $cadena = "";
	while ($largo != 0){
		 $dig = substr($valor,$largo-1,1);
		 if ($contador > 3){
			 $cadena = "$dig,$cadena";
			 $contador = 1;
		 }else{   
			 $cadena = $dig.$cadena; 
		 }
		 $largo--;
		 $contador++;
	}	
	$valor1 = $cadena;
	return $valor1;
}

function fecha_esp($fecha){
   $dd = substr($fecha,8,2);
   $mm = substr($fecha,5,2);
   $aa = substr($fecha,0,4);
   $fecha = "$dd-$mm-$aa";
   return $fecha;
}

function fecha_eng($fecha){
   $dd = substr($fecha,0,2);
   $mm = substr($fecha,3,2);
   $aa = substr($fecha,6,4);
   $fecha = "$aa-$mm-$dd";
   return $fecha;
}

function mes_palabra($mes){
   if ($mes=="01"){
	   $txt_mes = "Enero";
   }
	if ($mes=="02"){
	   $txt_mes = "Febrero";
   }
	if ($mes=="03"){
	   $txt_mes = "Marzo";
   }
	if ($mes=="04"){
	   $txt_mes = "Abril";
   }
	if ($mes=="05"){
	   $txt_mes = "Mayo";
   }
	if ($mes=="06"){
	   $txt_mes = "Junio";
   }
	if ($mes=="07"){
	   $txt_mes = "Julio";
   }
	if ($mes=="08"){
	   $txt_mes = "Agosto";
   }
	if ($mes=="09"){
	   $txt_mes = "Septiembre";
   }
	if ($mes=="10"){
	   $txt_mes = "Octubre";
   }
	if ($mes=="11"){
	   $txt_mes = "Noviembre";
   }
	if ($mes=="12"){
	   $txt_mes = "Diciembre";
   }	
	
	return $txt_mes;
}

$url_base = "https://camperspatagonia.cl/";
$nombre_software = "Campers patagonia";
?>